Subject: Re: Netatalk 1.6.2 locking errors on -current?
To: Hauke Fath <hauke@Espresso.Rhein-Neckar.DE>
From: Frederick Bruckman <>
List: tech-pkg
Date: 09/27/2003 20:29:55
On Sun, 28 Sep 2003, Hauke Fath wrote:

> has anyone successfully used the Netatalk 1.6.2 package on 1.6.1 or -current?

I'm using netatalk 1.6.2 on NetBSD 1.6.1/i386, just one Mac OS 8.1
m68k client. Netatalk 1.5.* used to flake out when copying large
folders, but no such problems with the more recent packages.

> I upgraded a 1.5.3 package to 1.6.2, and as a result got locking errors
> (-54) on any access from Macintosh System 7.6.1 and 9.2.1 clients. Going
> back to the 1.5.5 package for NetBSD 1.6.1 made the problem go away.
> The servers in question were a ss2 (1.6ZC installation) and a ss10 (1.6.1
> userland with 1.6ZC kernel).

It looks like netatalk is up to 1.6.3, and one of the bugs fixed is in
AFP negotation. Worth a shot?